{% extends "base_dashboard.html" %}
{% load i18n %}
{% block title %}{% trans "Laporan Keuangan" %} :: {{ block.super }}{% endblock %}

{% block breadcrumb %}
  <nav class="uk-navbar-container uk-navbar-transparent" uk-navbar>
    <div class="uk-navbar-left">
      <ul class="uk-breadcrumb uk-breadcrumb-dashboard">
        <li><a class="spf-link" href="/">{% trans "Beranda" %}</a></li>
        <li><a class="spf-link" href="{% url 'user_dashboard' %}">{% trans "Dashboard" %}</a></li>
        <li><span>{% trans "Laporan Keuangan" %}</span></li>
      </ul>
    </div>
    <div class="uk-navbar-right">
      <form class="uk-nav-nav" action="." method="get">
        <input name="q" class="uk-input uk-form-width-medium" type="text"
          placeholder="{% trans 'Cari ...' %}" {% if query %}value="{{ query }}"{% endif %} required>
        <button type="submit" class="uk-button uk-button-primary">
          <span uk-icon="icon: search"></span>
        </button>
      </form>
    </div>
  </nav>
{% endblock %}

{% block content %}
  <ul class="uk-tab uk-visible@s">
    <li {% if request.GET.status != 'pending' and request.GET.status != 'approved' and request.GET.status != 'rejected' %}class="uk-active"{% endif %}>
      <a href="?status=all" class="spf-link">
        <span uk-icon="icon:list;ratio:.7"></span> {% trans "Semua" %}
      </a>
    </li>
    <li {% if request.GET.status == 'pending' %}class="uk-active"{% endif %}>
      <a href="?status=pending" class="spf-link">
        <span uk-icon="icon:clock;ratio:.7"></span> {% trans "Menunggu" %}
      </a>
    </li>
    <li {% if request.GET.status == 'approved' %}class="uk-active"{% endif %}>
      <a href="?status=approved" class="spf-link">
        <span uk-icon="icon:check;ratio:.7"></span> {% trans "Diterima" %}
      </a>
    </li>
    <li {% if request.GET.status == 'rejected' %}class="uk-active"{% endif %}>
      <a href="?status=rejected" class="spf-link">
        <span uk-icon="icon:close;ratio:.7"></span> {% trans "Ditolak" %}
      </a>
    </li>
  </ul>
  <div class="uk-margin uk-hidden@s">
    <select name="status" class="uk-width-1-1 uk-select" onchange="window.location.href=this.value">
      <option value="?status=all">{% trans "Semua" %}</option>
      <option value="?status=pending" {% if request.GET.status == 'pending' %}selected{% endif %}>{% trans "Menunggu" %}</option>
      <option value="?status=approved" {% if request.GET.status == 'approved' %}selected{% endif %}>{% trans "Diterima" %}</option>
      <option value="?status=rejected" {% if request.GET.status == 'rejected' %}selected{% endif %}>{% trans "Ditolak" %}</option>
    </select>
  </div>

  <div class="uk-margin uk-overflow-auto-disabled">
    <table class="uk-table uk-table-justify uk-table-divider uk-table-responsive">
      <thead>
        <tr>
          <th>{% trans "Nomor" %}</th>
          <th>{% trans "Proyek" %}</th>
          <th>{% trans "Koperasi" %}</th>
          <th>{% trans "Dibuat" %}</th>
          <th>{% trans "Status" %}</th>
          <th>{% trans "Tindakan" %}</th>
        </tr>
      </thead>
      <tbody>
        {% for report in reports %}
          <tr>
            <td>{{ report.teaser.number }}</td>
            <td><a class="spf-link" title="{{ report.teaser.title }}" href="{% url 'app_plaza:teaser_detail' slug=report.teaser.slug %}">{{ report.teaser.title|truncatechars:"45" }}</a></td>
            <td>{{ report.teaser.cooperative_name }}</td>
            <td>{{ report.created }}</td>
            <td>
              {% if report.status == 'approved' %}
                <span class="uk-badge uk-badge-success">
              {% elif report.status == 'rejected' %}
                <span class="uk-badge uk-badge-danger">
              {% else %}
                <span class="uk-badge uk-badge-warning">
              {% endif %}
              {{ report.get_status_display }}</span>
            </td>
            <td>
              <a href="{% url 'app_plaza:report_detail' slug=report.teaser.slug %}"
                uk-tooltip="title: {% trans 'Laporan Keuangan' %}; pos: bottom"
                class="uk-icon-link uk-margin-small-right spf-link" uk-icon="settings" style="transform: rotate(90deg);"></a>
              <a href="{% url 'app_management:dashboard_report_disqus' pk=report.pk %}"
                uk-tooltip="title: {% trans 'Diskusikan' %}; pos: bottom"
                class="uk-icon-link uk-margin-small-right spf-link" uk-icon="comments"></a>
              <a href="{% url 'app_management:dashboard_report_edit' pk=report.pk %}"
                uk-tooltip="title: {% trans 'Ubah' %}; pos: bottom"
                class="uk-icon-link spf-link" uk-icon="file-edit"></a>
            </td>
          </tr>
        {% empty %}
          <tr>
            <td colspan="6">
              <div class="uk-card uk-card-default uk-margin">
                <div class="uk-card-body">
                  <span uk-icon="info"></span> &nbsp; {% trans "Laporan tidak ada!" %}
                </div>
              </div>
            </td>
          </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>

  {% if is_paginated %}
    <div class="uk-width-1-1@m">
      <hr class="uk-divider-icon">
      <ul class="uk-pagination">
        {% if page_obj.has_previous %}
          <li><a {% if page_obj.has_previous %}href="?status={{ status }}{% if query %}&amp;q={{ query }}{% endif %}&amp;page={{ page_obj.previous_page_number }}"{% endif %}><span class="uk-margin-small-right" uk-pagination-previous></span> {% trans "Sebelumnya" %}</a>
          </li>
        {% endif %}
        {% if page_obj.has_next %}
          <li class="uk-margin-auto-left">
            <a {% if page_obj.has_next %}href="?status={{ status }}{% if query %}&amp;q={{ query }}{% endif %}&amp;page={{ page_obj.next_page_number }}"{% endif %}>{% trans "Selanjutnya" %} <span class="uk-margin-small-left" uk-pagination-next></span></a>
          </li>
        {% endif %}
      </ul>
    </div>
  {% endif %}
{% endblock %}

{% block js %}
  <script>$('li.list-report-me').addClass('uk-active')</script>
{% endblock %}
